org.apache.poi.ss.formula.functions

## Class MatrixFunction.MutableValueCollector

- java.lang.Object
- - org.apache.poi.ss.formula.functions.MultiOperandNumericFunction
  - - org.apache.poi.ss.formula.functions.MatrixFunction.MutableValueCollector

- All Implemented Interfaces:
    Function
  Enclosing class:
    MatrixFunction

      public static final class MatrixFunction.MutableValueCollector
      extends MultiOperandNumericFunction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ss.formula.functions.MultiOperandNumericFunction

      `MultiOperandNumericFunction.Policy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableValueCollector(boolean isReferenceBoolCounted, boolean isBlankCounted)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `collectValues(ValueEval... operands)`
    `protected double` | `evaluate(double[] values)`

    - ### Methods inherited from class org.apache.poi.ss.formula.functions.MultiOperandNumericFunction

      `evaluate, getMaxNumOperands, getNumberArray, isHiddenRowCounted, isSubtotalCounted, setBlankEvalPolicy, setMissingArgPolicy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableValueCollector

          public MutableValueCollector(boolean isReferenceBoolCounted,
                                       boolean isBlankCounted)

  - ### Method Detail

    - #### collectValues

          public double[] collectValues(ValueEval... operands)
                                 throws EvaluationException

      Throws:
        `EvaluationException`

    - #### evaluate

          protected double evaluate(double[] values)

      Specified by:
        `evaluate` in class `MultiOperandNumericFunction`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.